Update Adodb to 5.19

Bug #1384473 reported by Robert Lyon on 2014-10-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Robert Lyon

Bug Description

need to upgrade

Changed in mahara:
status: New → Confirmed
importance: Undecided → Medium
milestone: none → 15.04.0
Robert Lyon (robertl-9) on 2014-11-09
Changed in mahara:
assignee: nobody → Robert Lyon (robertl-9)
Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/3951

Robert Lyon (robertl-9) on 2014-11-09
Changed in mahara:
status: Confirmed → In Progress
Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/3985

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/3993

Reviewed: https://reviews.mahara.org/3946
Committed: http://gitorious.org/mahara/mahara/commit/3bfb4772948f74b4e48e60199663b35a5a340779
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 3bfb4772948f74b4e48e60199663b35a5a340779
Author: Robert Lyon <email address hidden>
Date: Mon Nov 10 07:49:23 2014 +1300

Updating the ADODB to 5.19 (Bug #1384473)

Includes fixes for:
mysql/mysqli: Fix ability for MetaTables to filter by table name,
broken since 5.15.
See http://phplens.com/lens/lensforum/msgs.php?id=19359

postgres8: New class/type with correct behavior for _insertid().

postgres9: Fixed assoc problem.
See http://phplens.com/lens/lensforum/msgs.php?id=19296

Change-Id: If54f95815015ab9b7f58e102fb6c65cd086b8ac2
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3947
Committed: http://gitorious.org/mahara/mahara/commit/c0574d39b9e3fe26083adc9fa78d8fc246e333db
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit c0574d39b9e3fe26083adc9fa78d8fc246e333db
Author: Martin Langhoff <email address hidden>
Date: Sat Dec 1 23:54:23 2007 +1300

adodb: RecordSet_postgres7->MoveNext() - remove expensive is_array()

Bug 1384473

And implicit count() of the array keys/columns. This saves a good 5%
of the exec time of get_records('config')

(cherry picked from commit 4652e5617d9616e3f61e78df5a4c863e16ac5634)

Change-Id: I1b1addb0ade04eabc4d923d242261ed09fae4cea
Signed-off-by: Francois Marier <email address hidden>
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3948
Committed: http://gitorious.org/mahara/mahara/commit/4d82c8785fff8ae8d00d0b7391dcc4221d041000
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 4d82c8785fff8ae8d00d0b7391dcc4221d041000
Author: Francois Marier <email address hidden>
Date: Mon May 17 17:47:01 2010 +1200

adodb: check for Postgres 8.1

See Eduforge #2318 or LP #547951.

Bug 1384473

(cherry picked from commit 4bdafccba511540e6db92277aa104a23f57209ac)

Change-Id: I0e38e7f4f4e8da35f6c9f8e728213c2218e9a36f
Signed-off-by: Francois Marier <email address hidden>
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3949
Committed: http://gitorious.org/mahara/mahara/commit/2fab33876983b06550c2ac4a1e50183c3a286a00
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 2fab33876983b06550c2ac4a1e50183c3a286a00
Author: Robert Lyon <email address hidden>
Date: Mon Nov 10 08:04:59 2014 +1300

Check for valid columns in adodb postgres64 driver MetaIndexes fn

Bug 1384473

Indexes on functions of columns have a 0 in the indkey column of
pg_catalog.pg_index, which doesn't refer to a column.

Don't return any columns for the index, rather than returning an empty
column name.

(cherry picked from commit b87d9961020a8d52a2eaf709a9197520b3c6b65b)

Change-Id: Idd9bcdd04f15c99e76e028d62236a4d932ee845c
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3950
Committed: http://gitorious.org/mahara/mahara/commit/86738f466601406dca517e70b367d26d4c89a3ce
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 86738f466601406dca517e70b367d26d4c89a3ce
Author: Penny Leach <email address hidden>
Date: Sun Aug 23 14:54:23 2009 +0200

ADODB modification: add __wakeup to connection object

Bug 1384473

This reconnects to the db after wakeup, as resource types cannot be
serialized and unserialized.

This is necessary for unit tests, phpunit backups and restore globals
between each test.

(cherry picked from commit 417077459037550239fe9b09bd20b50d4c19b57f)

Change-Id: I00f38a6cf101019fb684b4f5c9b40c2d937b614d
Signed-off-by: Penny Leach <email address hidden>
Signed-off-by: Andrew Robert Nicols <email address hidden>
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3951
Committed: http://gitorious.org/mahara/mahara/commit/4099184313b749ebc28e904a0395d79bc670362f
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 4099184313b749ebc28e904a0395d79bc670362f
Author: Robert Lyon <email address hidden>
Date: Mon Nov 10 08:57:32 2014 +1300

Adjusting get_column_sql() default value to false (Bug #1384473)

On install an error was being thrown:

In Postgres:
Failed to get a recordset: postgres7 error: [-1: ERROR: bind message
supplies 1 parameters, but prepared statement "" requires 0] in
adodb_throw(SELECT name FROM "blocktype_installed" WHERE name IN
('profileinfo','myviews','mygroups','myfriends','wall'), Array)

In Mysql:
Failed to get a recordset: mysqli error: [1064: You have an error in
your SQL syntax; check the manual that corresponds to your MySQL
server version for the right syntax to use near 'NULL' at line 1] in
adodb_throw(SELECT name FROM "blocktype_installed" WHERE name IN
('profileinfo','myviews','mygroups','myfriends','wall')NULL, )

Change-Id: Ifd74ccfce5c8352db2fdc55378f9eede236354c7
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3985
Committed: http://gitorious.org/mahara/mahara/commit/cc98e39308294d0ebd464a504e23c57b24f8425b
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit cc98e39308294d0ebd464a504e23c57b24f8425b
Author: Aaron Wells <email address hidden>
Date: Tue Nov 18 10:53:23 2014 +1300

Enforce array (or NULL) sql param for get_recordset_sql()

Bug #1384473

Change-Id: I7a74dc86cb3794b8442084e30f2d13a89b80a7bd

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3993
Committed: http://gitorious.org/mahara/mahara/commit/6ba2a9cf53e546bc72436192d72ce7634faaa3e3
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 6ba2a9cf53e546bc72436192d72ce7634faaa3e3
Author: Robert Lyon <email address hidden>
Date: Thu Nov 20 07:47:52 2014 +1300

Making the postgres xmldb class more generic (Bug 1384473)

Changing the value from postgres7 to postgres as we are really only
supporting postgres 8.3+

Also updated the list of reserved keywords to contain all the reserved keywords
that exist in postgres 8.3.
And added new postgres 9.3 reserved words to end of list

Change-Id: Ia233b8f21bff9983cf6918691283886467a607e4
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) wrote :

Will mark this as completed - any issues with broken sql queries from now on in can be add to https://bugs.launchpad.net/mahara/+bug/1401324

Changed in mahara:
status: In Progress → Fix Committed
Robert Lyon (robertl-9) on 2015-04-17
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers